Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources
Class DateAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.Attribute
            |
            +--org.w3c.tools.resources.SimpleAttribute
                  |
                  +--org.w3c.tools.resources.LongAttribute
                        |
                        +--org.w3c.tools.resources.DateAttribute

public class DateAttribute
extends LongAttribute

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`DateAttribute()`
`DateAttribute(java.lang.String name, java.lang.Object def, int flags)`

Method Summary
`java.lang.String` | `pickle(java.lang.Object obj)` Pickle an integer to the given output stream.
`java.lang.Object` | `unpickle(java.lang.String value)` Unpickle an integer from the given input stream.

Methods inherited from class org.w3c.tools.resources.LongAttribute
`checkValue`

Methods inherited from class org.w3c.tools.resources.SimpleAttribute
`stringify`

Methods inherited from class org.w3c.tools.resources.Attribute
`checkFlag, getDefault, getFlag, getName, getType, setFlag, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateAttribute

    public DateAttribute(java.lang.String name,
                         java.lang.Object def,
                         int flags)

### DateAttribute

    public DateAttribute()

Method Detail

### pickle

    public java.lang.String pickle(java.lang.Object obj)

  Pickle an integer to the given output stream.
  Overrides:
    pickle in class LongAttribute
  Parameters:
    `obj` - The object to pickle.
  Throws:
    IOException - If some IO error occured.

### unpickle

    public java.lang.Object unpickle(java.lang.String value)

  Unpickle an integer from the given input stream.
  Overrides:
    unpickle in class LongAttribute
  Parameters:
    `value` - the string representation of this integer
  Returns:
    An instance of Integer.
  Throws:
    IOException - If some IO error occured.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD